FROM python:3.8-slim

WORKDIR /app

ARG AMOUNT
ARG FROM_CURRENCY
ARG TO_CURRENCY

ENV AMOUNT=$AMOUNT
ENV FROM_CURRENCY=$FROM_CURRENCY
ENV TO_CURRENCY=$TO_CURRENCY

COPY . /app

RUN pip install --no-cache-dir -r requirements.txt

CMD ["python", "main.py"]
